Path parameters
Your API key for authentication
Request
The address the transaction is sent from
The address the transaction is directed to
Integer of the gas provided for the transaction execution
Integer of the gasPrice used for each paid gas
Maximum fee per gas the sender is willing to pay to miners
Maximum total fee per gas the sender is willing to pay
Integer of the value sent with this transaction
Hash of the method signature and encoded parameters
Tag for the state (“latest”, “earliest”, “pending”). Defaults to “latest” if null
Example request params
[
{
"from": "0x8ba1f109551bd432803012645haca66c9834d7c6",
"to": "0x6b175474e89094c44da98b954eedeac495271d0f",
"gas": "0x76c0",
"gasPrice": "0x9184e72a000",
"value": "0x9184e72a",
"data": "0xa9059cbb0000000000000000000000008ba1f109551bd432803012645haca66c9834d7c60000000000000000000000000000000000000000000000000de0b6b3a7640000"
},
"latest"
]
curl https://site1.moralis-nodes.com/eth/:apiKey \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "method": "eth_createAccessList", "params": [{"from": "0x8ba1f109551bd432803012645haca66c9834d7c6", "to": "0x6b175474e89094c44da98b954eedeac495271d0f", "gas": "0x76c0", "gasPrice": "0x9184e72a000", "value": "0x9184e72a", "data": "0xa9059cbb0000000000000000000000008ba1f109551bd432803012645haca66c9834d7c60000000000000000000000000000000000000000000000000de0b6b3a7640000"}, "latest"], "id": 1}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"accessList": [
{
"address": "0x6b175474e89094c44da98b954eedeac495271d0f",
"storageKeys": [
"0x0000000000000000000000000000000000000000000000000000000000000000"
]
}
],
"gasUsed": "0x7671"
}
}